---
title: Merchant
slug: reference/merchant
docTags: 
createdAt: 2026-08-23T06:01:06.452Z
---

{
  "id": "PAzFi3cGrptOF9Qh0MTvN",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.forter-secure.com/merchants",
    "servers": [
      {
        "url": "https://api.forter-secure.com/merchants"
      }
    ],
    "name": "Merchant",
    "description": "<p>Create a new merchant within your Forter account. The response will include a Forter-assigned merchant subsite ID to be included in the API header on future requests.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "api-version",
          "type": "string",
          "example": "10.3",
          "description": "Specify the version of the API to target."
        },
        {
          "kind": "required",
          "name": "x-forter-siteid",
          "type": "string",
          "example": "a1b2c3d4e5f6",
          "description": "<p>Forter-assigned ID for your account. Note that your Site ID for your test site is different from your production site.</p>"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "<p>Create a new merchant within your Forter account. The response will include a Forter-assigned merchant subsite ID to be included in the API header on future requests.</p>",
          "customType": "merchantCreationRequest",
          "schema": [
            {
              "name": "defaultMerchantCategoryCode",
              "kind": "required",
              "type": "string",
              "description": "<p>A Merchant Category Code (MCC) is a four-digit number listed in ISO 18245 for retail financial services. MCC is used to classify the business by the type of goods or services it provides</p>",
              "example": "5655",
              "maxLength": 4
            },
            {
              "name": "merchantAccountCreation",
              "kind": "optional",
              "type": "object",
              "description": "",
              "complexType": "allOf",
              "complexItems": [
                {
                  "name": "MerchantAccountCreationFields",
                  "description": "",
                  "modelRef": "#/components/schemas/MerchantAccountCreationFields",
                  "schema": [
                    {
                      "name": "ip",
                      "kind": "optional",
                      "type": "string",
                      "nullable": true,
                      "description": "<p>IP address used by the account owner at the time of registration (in v4 format)</p>",
                      "example": "10.0.0.128",
                      "maxLength": 45
                    },
                    {
                      "name": "timestamp",
                      "kind": "optional",
                      "type": "number",
                      "nullable": true,
                      "description": "<p>Date merchant account was created in seconds since unix epoch (UTC, Jan 1, 1970)</p>",
                      "example": 1415273179
                    }
                  ]
                }
              ],
              "schema": []
            },
            {
              "name": "merchantId",
              "kind": "required",
              "type": "string",
              "description": "The merchant's internal ID in the PSP's systems",
              "example": "eh629dK9",
              "maxLength": 50
            },
            {
              "name": "name",
              "kind": "required",
              "type": "string",
              "description": "<p>The merchant's name in the PSP's systems. The name needs to be unique within the PSP's portfolio, and can include only letters (A–Z, a–z), numbers (0–9), spaces, and the following special characters: . _ &#x26; , ^ -.</p>",
              "example": "T-Shirts Express",
              "maxLength": 70
            }
          ],
          "modelRef": "#/components/schemas/merchantCreationRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Example merchantCreationResponse",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Response structure for merchant registration requests",
            "customType": "merchantCreationResponse",
            "schema": [
              {
                "name": "defaultMerchantCategoryCode",
                "kind": "required",
                "type": "string",
                "description": "<p>A Merchant Category Code (MCC) is a four-digit number listed in ISO 18245 for retail financial services. MCC is used to classify the business by the type of goods or services it provides</p>",
                "example": "5655",
                "maxLength": 4
              },
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "<p>The merchant's Site-ID in Forter's systems. Should be used for each call related to the merchant</p>",
                "example": "aab42345bba2"
              },
              {
                "name": "merchantAccountCreation",
                "kind": "optional",
                "type": "object",
                "description": "",
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "MerchantAccountCreationFields",
                    "description": "",
                    "modelRef": "#/components/schemas/MerchantAccountCreationFields",
                    "schema": [
                      {
                        "name": "ip",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": "<p>IP address used by the account owner at the time of registration (in v4 format)</p>",
                        "example": "10.0.0.128",
                        "maxLength": 45
                      },
                      {
                        "name": "timestamp",
                        "kind": "optional",
                        "type": "number",
                        "nullable": true,
                        "description": "<p>Date merchant account was created in seconds since unix epoch (UTC, Jan 1, 1970)</p>",
                        "example": 1415273179
                      }
                    ]
                  }
                ],
                "schema": []
              },
              {
                "name": "merchantId",
                "kind": "required",
                "type": "string",
                "description": "The merchant's internal ID in the PSP's systems",
                "example": "eh629dK9",
                "maxLength": 50
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "The merchant's Site Name",
                "example": "T-Shirts Express"
              }
            ],
            "modelRef": "#/components/schemas/merchantCreationResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "<p>Bad Request (Often missing a required parameter)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized (No valid API key provided)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found (The requested item doesn't exist)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "<p>Server Error (Something went wrong on Forter's end)</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "o17IsqsydDedsR-Itb5XU",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.forter-secure.com/merchants \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'api-version: 10.3' \\\n     --header 'x-forter-siteid: a1b2c3d4e5f6' \\\n     --data '{\n     \"defaultMerchantCategoryCode\": \"5655\",\n     \"merchantAccountCreation\": {},\n     \"merchantId\": \"eh629dK9\",\n     \"name\": \"T-Shirts Express\"\n     }'"
        },
        {
          "id": "IeCDdm3dm4jDNcL6MTFaX",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"api-version\", \"10.3\");\nmyHeaders.append(\"x-forter-siteid\", \"a1b2c3d4e5f6\");\n\nvar raw = JSON.stringify({\n   \"defaultMerchantCategoryCode\": \"5655\",\n   \"merchantAccountCreation\": {},\n   \"merchantId\": \"eh629dK9\",\n   \"name\": \"T-Shirts Express\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.forter-secure.com/merchants\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "U3FEI_mvKKzH3F2SqjTxe",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.forter-secure.com/merchants\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"api-version\"] = \"10.3\"\nrequest[\"x-forter-siteid\"] = \"a1b2c3d4e5f6\"\nrequest.body = JSON.dump({\n   \"defaultMerchantCategoryCode\": \"5655\",\n   \"merchantAccountCreation\": {},\n   \"merchantId\": \"eh629dK9\",\n   \"name\": \"T-Shirts Express\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "zNKWXkIb6kBhbIiGefBun",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.forter-secure.com/merchants\"\n\npayload = json.dumps({\n   \"defaultMerchantCategoryCode\": \"5655\",\n   \"merchantAccountCreation\": {},\n   \"merchantId\": \"eh629dK9\",\n   \"name\": \"T-Shirts Express\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'api-version': '10.3',\n   'x-forter-siteid': 'a1b2c3d4e5f6'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "o17IsqsydDedsR-Itb5XU"
    },
    "results": {
      "languages": [
        {
          "id": "6eUGz0Vwn2w5QVT3emznn",
          "language": "200",
          "code": "// Example merchantCreationResponse\n{\n  \"defaultMerchantCategoryCode\": \"5655\",\n  \"id\": \"aab42345bba2\",\n  \"merchantAccountCreation\": {},\n  \"merchantId\": \"eh629dK9\",\n  \"name\": \"T-Shirts Express\"\n}"
        },
        {
          "id": "9ewBpBADSwkqlXfYsiCsI",
          "language": "400",
          "code": "// Bad Request (Often missing a required parameter)\n"
        },
        {
          "id": "fISZBh7I_u1VcdMkth9b0",
          "language": "401",
          "code": "// Unauthorized (No valid API key provided)\n"
        },
        {
          "id": "KvZjmf7bkuqXM0BLL1uvk",
          "language": "404",
          "code": "// Not Found (The requested item doesn't exist)\n"
        },
        {
          "id": "bxF_wWw90L9E2racifSZP",
          "language": "500",
          "code": "// Server Error (Something went wrong on Forter's end)\n"
        }
      ],
      "selectedLanguageId": "6eUGz0Vwn2w5QVT3emznn"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}